#include <stdio.h>
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX BUFSIZ
#ifndef __cplusplus
# define output(c) (void)putc(c,yyout)
#else
# define lex_output(c) (void)putc(c,yyout)
#endif

#if defined(__cplusplus) || defined(__STDC__)

#if defined(__cplusplus) && defined(__EXTERN_C__)
extern "C" {
#endif
	int yyback(int *, int);
	int yyinput(void);
	int yylook(void);
	void yyoutput(int);
	int yyracc(int);
	int yyreject(void);
	void yyunput(int);
	int yylex(void);
#ifdef YYLEX_E
	void yywoutput(wchar_t);
	wchar_t yywinput(void);
#endif
#ifndef yyless
	int yyless(int);
#endif
#ifndef yywrap
	int yywrap(void);
#endif
#ifdef LEXDEBUG
	void allprint(char);
	void sprint(char *);
#endif
#if defined(__cplusplus) && defined(__EXTERN_C__)
}
#endif

#ifdef __cplusplus
extern "C" {
#endif
	void exit(int);
#ifdef __cplusplus
}
#endif

#endif
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
#ifndef __cplusplus
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#else
# define lex_input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#endif
#define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng;
char yytext[YYLMAX];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;

# line 3 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/*
 * The Termprocessor Kimwitu
 *
 * Copyright (c) 1991 University of Twente, Dept TIOS.
 * All rights reserved.
 *
 */

# line 12 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/*
 * kimwl.l
 */
#if ! (defined(lint) || defined(SABER) || defined(CODECENTER))
static char kimwl_lAccesSid[] = "@(#)$Id: kimwl.l,v 2.28 1996/07/18 14:58:12 belinfan Rel $";
#endif

# line 20 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/* comments to suppress known `errors' */

# line 21 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/*SUPPRESS 529*/

# line 22 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/*SUPPRESS  25*/
#if (defined(SABER) || defined(CODECENTER))
# define lint
#endif

# line 28 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/* WARNING: YYLMAX should be at least 500
 * (because some people write real specs ...)
 * use the BUFSIZ that is defined in <stdio.h> as #define BUFSIZ 1024
 * this is a no-op on a sun: sun's lex already defines #define YYLMAX BUFSIZ
 * however, on a hp we get problems: YYLMAX is defined as #define YYLMAX 200
 * first get rid of old value: #undef YYLMAX before #define YYLMAX 'our-value'
 */
#undef YYLMAX
#define YYLMAX BUFSIZ


# line 38 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/* WARNING: some lexers (like (some versions of?) flex) #define yywrap
 * which causes problems if we try to define a function for it.
 * So, we undef it if defined.
 */
#ifdef yywrap
# undef yywrap
#endif

# line 48 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/***************************************************************************/

# line 49 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/*
 * Name conventions: tokens and states are in CAPITALS
 * operators are capitalized
 *
 */
# define NORMAL 2
# define INCL 4
# define INCLSTART 6
# define CEXPR 8
# define CEXPRDQ 10
# define CEXPRSQ 12
# define C 14
#if defined(__STDC__)
# include <stdlib.h>
#endif
#include <string.h>

#include "k.h"
#include "kimwy.h"

static int cinit_paren_nesting =0;
static int cinit_array_nesting =0;
static void reset_nestcount KC__P(());

static int eat_comment KC__P(( int*, int, casestring ));
# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
#ifdef __cplusplus
/* to avoid CC and lint complaining yyfussy not being used ...*/
static int __lex_hack = 0;
if (__lex_hack) goto yyfussy;
#endif
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:

# line 73 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
 			{ ; }
break;
case 2:

# line 74 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ pg_lineno++; }
break;
case 3:

# line 75 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ return T_PERCENTVIEW; }
break;
case 4:

# line 76 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ return T_PERCENTSTORAGECLASS; }
break;
case 5:

# line 77 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ BEGIN INCLSTART; return T_INCLUDESTART; }
break;
case 6:

# line 78 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
{ yylval.yt_casestring = mkcasestring(yytext); return T_ID;}
break;
case 7:

# line 79 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ ; }
break;
case 8:

# line 80 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ pg_lineno++; BEGIN INCL; }
break;
case 9:

# line 81 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ yylval.yt_casestring = mkcasestring(yytext); return T_INCLUDE; }
break;
case 10:

# line 82 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ yylval.yt_casestring = mkcasestring(yytext); return T_INCLUDE; }
break;
case 11:

# line 83 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ pg_lineno++; return yytext[0]; }
break;
case 12:

# line 84 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ pg_lineno++; BEGIN NORMAL; return T_INCLUDEEND; }
break;
case 13:

# line 85 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ int no_of_newlines = eat_comment(&pg_lineno, pg_lineno, pg_filename);
					          yylval.yt_int = no_of_newlines; return T_CNEWLINES;
					    }
break;
case 14:

# line 88 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
	{ eat_comment(&pg_lineno, pg_lineno, pg_filename); }
break;
case 15:

# line 89 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ return T_ARROW; }
break;
case 16:

# line 90 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ return T_DEFAULT; }
break;
case 17:

# line 91 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ yylval.yt_int = atoi(yytext); return T_INT; }
break;
case 18:

# line 92 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ return T_LIST; }
break;
case 19:

# line 93 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ return T_STATIC; }
break;
case 20:

# line 94 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ return T_AUTO; }
break;
case 21:

# line 95 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ return T_REGISTER; }
break;
case 22:

# line 96 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ return T_EXTERN; }
break;
case 23:

# line 97 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ return T_TYPEDEF; }
break;
case 24:

# line 98 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ return T_CONST; }
break;
case 25:

# line 99 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ return T_VOLATILE; }
break;
case 26:

# line 100 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ return T_DOTDOTDOT; }
break;
case 27:

# line 101 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
 	{ yylval.yt_casestring = mkcasestring(yytext); return T_ID ; }
break;
case 28:

# line 102 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ yylval.yt_casestring = mkcasestring(yytext); return T_CEXPRESSION; }
break;
case 29:

# line 103 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ yylval.yt_int = atoi(yytext+1); return T_DOLLARVAR; }
break;
case 30:

# line 104 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ return T_UNPBLOCKSTART; }
break;
case 31:

# line 105 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ return T_UNPBLOCKEND; }
break;
case 32:

# line 106 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ yylval.yt_casestring = mkcasestring(yytext); return T_CEXPRESSION; }
break;
case 33:

# line 107 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
	{ pg_lineno++; return yytext[0]; }
break;
case 34:

# line 108 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
	{ yylval.yt_casestring = mkcasestring("\\"); return T_CEXPRESSION; }
break;
case 35:

# line 109 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
	{ yylval.yt_casestring = mkcasestring("\\\\"); return T_CEXPRESSION; }
break;
case 36:

# line 110 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ BEGIN CEXPRDQ; return yytext[0]; }
break;
case 37:

# line 111 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ BEGIN CEXPRSQ; return yytext[0]; }
break;
case 38:

# line 112 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ BEGIN NORMAL; reset_nestcount(); return yytext[0]; }
break;
case 39:

# line 113 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ cinit_paren_nesting++;  yylval.yt_casestring = mkcasestring("("); return T_CEXPRESSION; }
break;
case 40:

# line 114 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ if (cinit_paren_nesting == 0) {
					      BEGIN NORMAL; reset_nestcount(); return yytext[0];
					} else {
					      cinit_paren_nesting--; yylval.yt_casestring = mkcasestring(")"); return T_CEXPRESSION; }
					}
break;
case 41:

# line 119 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ cinit_array_nesting++;  yylval.yt_casestring = mkcasestring("["); return T_CEXPRESSION; }
break;
case 42:

# line 120 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ if (cinit_array_nesting == 0) {
					      BEGIN NORMAL; reset_nestcount(); return yytext[0];
					} else {
					      cinit_array_nesting--; yylval.yt_casestring = mkcasestring("]"); return T_CEXPRESSION; }
					}
break;
case 43:

# line 125 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ yylval.yt_casestring = mkcasestring(yytext); return T_CEXPRESSION; }
break;
case 44:

# line 126 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ BEGIN CEXPR; return yytext[0]; }
break;
case 45:

# line 127 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ yylval.yt_casestring = mkcasestring("\\\""); return T_CEXPRESSION; }
break;
case 46:

# line 128 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ BEGIN CEXPR; return yytext[0]; }
break;
case 47:

# line 129 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ yylval.yt_casestring = mkcasestring("\\'"); return T_CEXPRESSION; }
break;
case 48:

# line 130 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ yylval.yt_casestring = mkcasestring(yytext); return T_CEXPRESSION; }
break;
case 49:

# line 131 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ yylval.yt_casestring = mkcasestring("$"); return T_CLINE; }
break;
case 50:

# line 132 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ yylval.yt_casestring = mkcasestring("\\\\"); return T_CLINE; }
break;
case 51:

# line 133 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ yylval.yt_casestring = mkcasestring("\\"); return T_CLINE ; }
break;
case 52:

# line 134 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ yylval.yt_casestring = mkcasestring("{"); /*WARNING-NO LONGER SUPPORTED*/ return T_CLINE ; }
break;
case 53:

# line 135 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ yylval.yt_casestring = mkcasestring("}"); /*WARNING-NO LONGER SUPPORTED*/ return T_CLINE ; }
break;
case 54:

# line 136 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ if (strcmp(yytext, "$") == 0)
					      return yytext[0];
					  yylval.yt_int = atoi(yytext+1);
					  return T_DOLLARVAR;
					}
break;
case 55:

# line 141 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
	{ if (strcmp(yytext, "foreach") ==0) {
					      return T_FOREACH;
					  } else if (strcmp(yytext, "with") ==0) {
					      return T_WITH;
					  } else {
					      yylval.yt_casestring = mkcasestring(yytext);
					      return T_CLINE ;
					  }
					}
break;
case 56:

# line 150 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
	{ yylval.yt_casestring = mkcasestring(yytext); return T_CLINE; }
break;
case 57:

# line 151 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ yylval.yt_casestring = mkcasestring(yytext); return T_CLINE; }
break;
case 58:

# line 152 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
	{ yylval.yt_casestring = mkcasestring(yytext); return T_CLINE; }
break;
case 59:

# line 153 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
{ yylval.yt_casestring = mkcasestring(yytext); return T_CLINE; }
break;
case 60:

# line 154 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
	{ yylval.yt_casestring = mkcasestring(yytext); return T_CLINE; }
break;
case 61:

# line 155 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ return yytext[0]; }
break;
case -1:
break;
default:
(void)fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */

static void reset_nestcount()
{
	/* WARNING if these are not == 0 */
	if (cinit_paren_nesting != 0) {
		v_report( NonFatal( NoFileLine(), Problem1S( "opening parenthesis '(' was not closed" )));
	}
	if (cinit_array_nesting != 0) {
		v_report( NonFatal( NoFileLine(), Problem1S( "opening bracket '[' was not closed" )));
	}
	cinit_paren_nesting = 0;
	cinit_array_nesting = 0;
}

void do_NORMAL()	{ BEGIN NORMAL; reset_nestcount(); }
void do_CEXPR()		{ BEGIN CEXPR; }
void do_CEXPRDQ()	{ BEGIN CEXPRDQ; }
void do_CEXPRSQ()	{ BEGIN CEXPRSQ; }
void do_C()		{ BEGIN C; }

int yywrap()		{ return 1; }

static int eat_comment
#ifdef KC_USE_PROTOTYPES
 (int *pg_lineno, int start_lineno, casestring start_filename)
#else
 (pg_lineno, start_lineno, start_filename)
  int *pg_lineno;
  int start_lineno;
  casestring start_filename;
#endif
{
	char c1, c2;		/* comment string */
	int nest;
	int no_of_newlines = 0;

	for(nest=1, c2 = ' ';;){
		c1 = c2;
		c2 = input();
		if (c1 == '/' && c2 == '*')
			nest++;
		else if (c1 == '*' && c2 == '/')
			nest--;
		if (nest <= 0)
			break;
		if (c2 == '\n') {
			no_of_newlines++;
		} else if (c2 == 0) {
			v_report( Fatal( FileLine( start_filename, start_lineno ), Problem1S( "start of comment containing unexpected eof" )));
		}
	}
	*pg_lineno += no_of_newlines;
	return no_of_newlines;
}

#ifndef FLEX_SCANNER
void yyrestart( input_file ) FILE *input_file; {}
#endif
int yyvstop[] = {
0,

61,
0,

1,
61,
0,

2,
0,

36,
61,
0,

61,
0,

37,
61,
0,

61,
0,

61,
0,

61,
0,

17,
61,
0,

27,
61,
0,

27,
61,
0,

27,
61,
0,

27,
61,
0,

27,
61,
0,

27,
61,
0,

27,
61,
0,

27,
61,
0,

27,
61,
0,

27,
61,
0,

61,
0,

9,
61,
0,

11,
0,

10,
61,
0,

9,
61,
0,

10,
61,
0,

7,
61,
0,

8,
0,

6,
61,
0,

28,
61,
0,

33,
0,

32,
61,
0,

39,
61,
0,

40,
61,
0,

28,
61,
0,

38,
61,
0,

41,
61,
0,

34,
61,
0,

42,
61,
0,

43,
61,
0,

44,
61,
0,

34,
61,
0,

48,
61,
0,

46,
61,
0,

34,
61,
0,

56,
61,
0,

54,
61,
0,

57,
61,
0,

55,
61,
0,

51,
61,
0,

29,
0,

30,
0,

31,
0,

17,
0,

15,
0,

14,
0,

27,
0,

27,
0,

27,
0,

27,
0,

27,
0,

27,
0,

27,
0,

27,
0,

27,
0,

27,
0,

5,
0,

9,
0,

9,
14,
0,

6,
0,

28,
0,

13,
28,
0,

35,
0,

43,
0,

45,
0,

48,
0,

47,
0,

56,
0,

49,
0,

54,
0,

52,
0,

53,
0,

13,
0,

55,
0,

50,
0,

26,
0,

27,
0,

27,
0,

27,
0,

27,
0,

27,
0,

27,
0,

27,
0,

27,
0,

27,
0,

12,
0,

20,
27,
0,

27,
0,

27,
0,

27,
0,

18,
27,
0,

27,
0,

27,
0,

27,
0,

27,
0,

24,
27,
0,

27,
0,

27,
0,

27,
0,

27,
0,

27,
0,

27,
0,

3,
0,

27,
0,

22,
27,
0,

27,
0,

19,
27,
0,

27,
0,

27,
0,

16,
27,
0,

27,
0,

23,
27,
0,

27,
0,

21,
27,
0,

25,
27,
0,

58,
0,

4,
0,

60,
0,

59,
0,
0};
# define YYTYPE unsigned char
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,17,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,17,	1,0,	
2,0,	86,86,	89,118,	87,0,	
103,119,	3,17,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	3,18,	3,19,	0,0,	
0,0,	0,0,	0,0,	7,43,	
7,44,	0,0,	0,0,	1,17,	
86,86,	1,17,	1,17,	103,119,	
1,17,	1,17,	87,0,	25,73,	
8,43,	8,44,	58,95,	6,42,	
1,17,	1,17,	3,20,	24,72,	
3,21,	3,17,	64,103,	3,22,	
3,17,	41,0,	61,97,	5,38,	
72,106,	3,23,	3,24,	3,25,	
3,26,	4,37,	1,17,	5,38,	
5,39,	7,25,	10,50,	0,0,	
0,0,	4,23,	4,24,	170,174,	
103,120,	0,0,	120,134,	0,0,	
121,135,	3,27,	8,25,	134,146,	
41,0,	103,121,	122,136,	7,45,	
10,52,	41,88,	103,122,	135,147,	
5,38,	1,17,	5,38,	5,40,	
54,93,	5,38,	5,38,	66,105,	
8,45,	81,113,	30,77,	33,80,	
58,93,	5,41,	5,38,	32,79,	
3,17,	77,109,	80,112,	61,93,	
29,76,	3,28,	36,83,	3,29,	
3,30,	3,31,	28,75,	34,81,	
10,53,	31,78,	10,55,	5,38,	
3,32,	4,28,	35,82,	4,29,	
4,30,	4,31,	3,33,	3,34,	
3,35,	6,38,	3,36,	6,38,	
4,32,	42,89,	75,107,	3,17,	
9,46,	3,17,	4,33,	4,34,	
4,35,	7,17,	4,36,	7,17,	
9,46,	9,47,	5,38,	4,17,	
10,46,	4,17,	10,46,	11,56,	
76,108,	16,17,	8,17,	16,17,	
8,17,	78,110,	37,84,	11,56,	
11,47,	37,85,	79,111,	82,114,	
83,115,	84,116,	37,86,	85,117,	
88,0,	9,20,	13,59,	9,48,	
9,46,	96,0,	9,22,	9,49,	
9,50,	5,38,	13,59,	5,38,	
94,0,	107,123,	9,51,	9,46,	
11,57,	14,59,	11,56,	11,56,	
108,124,	11,56,	11,56,	109,125,	
110,126,	14,59,	9,52,	88,0,	
111,127,	11,56,	11,56,	112,128,	
9,46,	113,129,	96,0,	13,59,	
94,0,	13,59,	13,59,	114,130,	
13,60,	13,59,	115,131,	116,132,	
117,133,	124,137,	125,138,	11,56,	
13,59,	13,59,	14,59,	126,139,	
14,59,	14,59,	128,140,	14,60,	
14,59,	129,141,	9,53,	9,54,	
9,55,	130,142,	131,143,	14,59,	
14,59,	132,144,	13,59,	15,62,	
133,145,	136,148,	138,149,	139,150,	
140,151,	141,152,	11,58,	15,62,	
15,47,	142,153,	143,154,	144,155,	
146,156,	14,59,	147,157,	148,158,	
149,159,	151,160,	153,161,	96,0,	
154,162,	155,163,	9,46,	156,164,	
9,46,	13,61,	94,0,	157,165,	
158,166,	160,167,	162,168,	163,169,	
15,20,	165,171,	15,63,	15,62,	
166,172,	15,22,	15,62,	169,173,	
14,61,	171,175,	172,176,	173,177,	
175,178,	15,64,	15,62,	21,67,	
21,67,	21,67,	21,67,	21,67,	
21,67,	21,67,	21,67,	21,67,	
21,67,	176,179,	177,180,	178,181,	
180,183,	181,184,	183,187,	15,65,	
23,70,	23,70,	23,70,	23,70,	
23,70,	23,70,	23,70,	23,70,	
23,70,	23,70,	186,189,	188,190,	
0,0,	0,0,	23,71,	26,70,	
26,70,	26,70,	26,70,	26,70,	
26,70,	26,70,	26,70,	26,70,	
26,70,	0,0,	15,66,	48,67,	
48,67,	48,67,	48,67,	48,67,	
48,67,	48,67,	48,67,	48,67,	
48,67,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	0,0,	0,0,	
0,0,	15,17,	21,68,	15,17,	
21,69,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	0,0,	
0,0,	0,0,	0,0,	27,74,	
0,0,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	27,74,	
27,74,	27,74,	27,74,	38,87,	
0,0,	0,0,	0,0,	164,164,	
63,99,	0,0,	182,185,	38,87,	
38,0,	0,0,	184,184,	0,0,	
0,0,	0,0,	0,0,	0,0,	
63,100,	63,100,	63,100,	63,100,	
63,100,	63,100,	63,100,	63,100,	
63,100,	63,100,	164,164,	0,0,	
0,0,	182,185,	0,0,	0,0,	
38,87,	184,184,	38,87,	38,0,	
164,170,	38,87,	38,87,	182,186,	
0,0,	0,0,	0,0,	184,188,	
0,0,	38,87,	38,87,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,90,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	38,87,	
45,90,	45,90,	45,90,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,90,	45,90,	38,87,	63,101,	
0,0,	63,102,	45,90,	0,0,	
45,90,	45,90,	45,90,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,90,	45,90,	45,90,	45,90,	
45,90,	45,90,	46,91,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	46,91,	46,0,	
0,0,	185,185,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	51,0,	100,100,	100,100,	
100,100,	100,100,	100,100,	100,100,	
100,100,	100,100,	100,100,	100,100,	
0,0,	91,0,	0,0,	46,0,	
185,185,	46,0,	46,91,	0,0,	
46,0,	46,0,	46,0,	0,0,	
0,0,	51,0,	185,186,	51,0,	
46,91,	46,91,	51,0,	51,0,	
51,0,	51,92,	0,0,	0,0,	
0,0,	91,0,	0,0,	91,0,	
46,0,	0,0,	91,0,	91,0,	
91,0,	0,0,	46,91,	0,0,	
0,0,	0,0,	51,0,	0,0,	
56,94,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
56,94,	56,0,	91,0,	0,0,	
0,0,	0,0,	0,0,	59,96,	
0,0,	0,0,	0,0,	0,0,	
46,0,	46,0,	46,0,	59,96,	
59,0,	0,0,	0,0,	0,0,	
0,0,	179,179,	51,0,	51,0,	
51,0,	56,0,	0,0,	56,94,	
56,94,	0,0,	56,94,	56,94,	
0,0,	0,0,	91,0,	91,0,	
91,0,	0,0,	56,94,	56,94,	
59,96,	62,98,	59,96,	59,96,	
179,179,	59,0,	59,96,	0,0,	
0,0,	62,98,	62,0,	0,0,	
0,0,	59,96,	59,96,	0,0,	
56,94,	0,0,	0,0,	0,0,	
179,182,	179,182,	179,182,	179,182,	
179,182,	179,182,	179,182,	179,182,	
179,182,	179,182,	0,0,	59,96,	
0,0,	0,0,	62,0,	0,0,	
62,0,	62,98,	0,0,	62,0,	
62,98,	0,0,	0,0,	56,0,	
0,0,	0,0,	0,0,	62,0,	
62,98,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	59,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	62,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	0,0,	
62,0,	0,0,	0,0,	62,0,	
0,0,	62,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	62,0,	
62,0,	62,0,	62,0,	62,0,	
0,0,	62,0,	65,104,	65,104,	
65,104,	65,104,	65,104,	65,104,	
65,104,	65,104,	65,104,	65,104,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	65,104,	
65,104,	65,104,	65,104,	65,104,	
65,104,	65,104,	65,104,	65,104,	
65,104,	65,104,	65,104,	65,104,	
65,104,	65,104,	65,104,	65,104,	
65,104,	65,104,	65,104,	65,104,	
65,104,	65,104,	65,104,	65,104,	
65,104,	0,0,	0,0,	0,0,	
0,0,	65,104,	0,0,	65,104,	
65,104,	65,104,	65,104,	65,104,	
65,104,	65,104,	65,104,	65,104,	
65,104,	65,104,	65,104,	65,104,	
65,104,	65,104,	65,104,	65,104,	
65,104,	65,104,	65,104,	65,104,	
65,104,	65,104,	65,104,	65,104,	
65,104,	92,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	92,0,	0,0,	92,0,	
0,0,	0,0,	92,0,	92,0,	
92,0,	98,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	92,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	98,0,	0,0,	98,0,	
0,0,	0,0,	98,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	98,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	92,0,	92,0,	
92,0,	0,0,	0,0,	0,0,	
98,0,	98,0,	98,0,	98,0,	
98,0,	98,0,	98,0,	98,0,	
98,0,	98,0,	98,0,	98,0,	
98,0,	98,0,	98,0,	98,0,	
98,0,	98,0,	98,0,	98,0,	
98,0,	98,0,	98,0,	98,0,	
98,0,	98,0,	0,0,	98,0,	
0,0,	0,0,	98,0,	0,0,	
98,0,	98,0,	98,0,	98,0,	
98,0,	98,0,	98,0,	98,0,	
98,0,	98,0,	98,0,	98,0,	
98,0,	98,0,	98,0,	98,0,	
98,0,	98,0,	98,0,	98,0,	
98,0,	98,0,	98,0,	98,0,	
98,0,	98,0,	98,0,	0,0,	
98,0,	0,0,	0,0,	0,0,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		0,	
yycrank+-2,	yysvec+1,	0,	
yycrank+-16,	0,		0,	
yycrank+-28,	yysvec+3,	0,	
yycrank+-58,	0,		0,	
yycrank+-10,	yysvec+5,	0,	
yycrank+-22,	yysvec+1,	0,	
yycrank+-35,	yysvec+1,	0,	
yycrank+-139,	0,		0,	
yycrank+-29,	yysvec+9,	0,	
yycrank+-154,	0,		0,	
yycrank+0,	yysvec+11,	0,	
yycrank+-173,	yysvec+11,	0,	
yycrank+-188,	yysvec+11,	0,	
yycrank+-238,	0,		0,	
yycrank+-34,	yysvec+15,	0,	
yycrank+0,	0,		yyvstop+1,
yycrank+0,	0,		yyvstop+3,
yycrank+0,	0,		yyvstop+6,
yycrank+0,	0,		yyvstop+8,
yycrank+239,	0,		yyvstop+11,
yycrank+0,	0,		yyvstop+13,
yycrank+256,	0,		yyvstop+16,
yycrank+5,	0,		yyvstop+18,
yycrank+1,	0,		yyvstop+20,
yycrank+271,	0,		yyvstop+22,
yycrank+300,	0,		yyvstop+25,
yycrank+1,	yysvec+27,	yyvstop+28,
yycrank+1,	yysvec+27,	yyvstop+31,
yycrank+1,	yysvec+27,	yyvstop+34,
yycrank+1,	yysvec+27,	yyvstop+37,
yycrank+2,	yysvec+27,	yyvstop+40,
yycrank+2,	yysvec+27,	yyvstop+43,
yycrank+3,	yysvec+27,	yyvstop+46,
yycrank+5,	yysvec+27,	yyvstop+49,
yycrank+3,	yysvec+27,	yyvstop+52,
yycrank+47,	0,		yyvstop+55,
yycrank+-422,	0,		yyvstop+57,
yycrank+0,	0,		yyvstop+60,
yycrank+0,	0,		yyvstop+62,
yycrank+-47,	yysvec+38,	yyvstop+65,
yycrank+12,	0,		yyvstop+68,
yycrank+0,	0,		yyvstop+71,
yycrank+0,	0,		yyvstop+74,
yycrank+423,	0,		yyvstop+76,
yycrank+-545,	0,		yyvstop+79,
yycrank+0,	0,		yyvstop+82,
yycrank+283,	0,		yyvstop+84,
yycrank+0,	0,		yyvstop+87,
yycrank+0,	0,		yyvstop+90,
yycrank+-555,	yysvec+46,	yyvstop+93,
yycrank+0,	0,		yyvstop+96,
yycrank+0,	0,		yyvstop+99,
yycrank+4,	0,		yyvstop+102,
yycrank+0,	0,		yyvstop+105,
yycrank+-615,	0,		yyvstop+108,
yycrank+0,	0,		yyvstop+111,
yycrank+12,	0,		yyvstop+114,
yycrank+-630,	0,		yyvstop+117,
yycrank+0,	0,		yyvstop+120,
yycrank+19,	0,		yyvstop+123,
yycrank+-664,	0,		yyvstop+126,
yycrank+392,	0,		yyvstop+129,
yycrank+12,	0,		yyvstop+132,
yycrank+742,	0,		yyvstop+135,
yycrank+7,	0,		yyvstop+138,
yycrank+0,	yysvec+48,	yyvstop+141,
yycrank+0,	0,		yyvstop+143,
yycrank+0,	0,		yyvstop+145,
yycrank+0,	yysvec+26,	yyvstop+147,
yycrank+0,	0,		yyvstop+149,
yycrank+14,	0,		0,	
yycrank+0,	0,		yyvstop+151,
yycrank+0,	yysvec+27,	yyvstop+153,
yycrank+22,	yysvec+27,	yyvstop+155,
yycrank+46,	yysvec+27,	yyvstop+157,
yycrank+7,	yysvec+27,	yyvstop+159,
yycrank+45,	yysvec+27,	yyvstop+161,
yycrank+51,	yysvec+27,	yyvstop+163,
yycrank+7,	yysvec+27,	yyvstop+165,
yycrank+4,	yysvec+27,	yyvstop+167,
yycrank+55,	yysvec+27,	yyvstop+169,
yycrank+60,	yysvec+27,	yyvstop+171,
yycrank+53,	0,		0,	
yycrank+66,	0,		0,	
yycrank+4,	0,		yyvstop+173,
yycrank+-5,	yysvec+38,	yyvstop+175,
yycrank+-162,	yysvec+38,	yyvstop+177,
yycrank+4,	0,		0,	
yycrank+0,	yysvec+45,	yyvstop+180,
yycrank+-567,	yysvec+46,	yyvstop+182,
yycrank+-855,	yysvec+46,	yyvstop+184,
yycrank+0,	0,		yyvstop+187,
yycrank+-174,	yysvec+56,	yyvstop+189,
yycrank+0,	0,		yyvstop+191,
yycrank+-167,	yysvec+59,	yyvstop+193,
yycrank+0,	0,		yyvstop+195,
yycrank+-887,	yysvec+62,	yyvstop+197,
yycrank+0,	0,		yyvstop+199,
yycrank+518,	0,		yyvstop+201,
yycrank+0,	0,		yyvstop+203,
yycrank+0,	0,		yyvstop+205,
yycrank+7,	0,		yyvstop+207,
yycrank+0,	yysvec+65,	yyvstop+209,
yycrank+0,	0,		yyvstop+211,
yycrank+0,	0,		yyvstop+213,
yycrank+74,	yysvec+27,	yyvstop+215,
yycrank+77,	yysvec+27,	yyvstop+217,
yycrank+98,	yysvec+27,	yyvstop+219,
yycrank+95,	yysvec+27,	yyvstop+221,
yycrank+84,	yysvec+27,	yyvstop+223,
yycrank+98,	yysvec+27,	yyvstop+225,
yycrank+89,	yysvec+27,	yyvstop+227,
yycrank+110,	yysvec+27,	yyvstop+229,
yycrank+117,	yysvec+27,	yyvstop+231,
yycrank+104,	0,		0,	
yycrank+115,	0,		0,	
yycrank+0,	0,		yyvstop+233,
yycrank+0,	yysvec+103,	0,	
yycrank+1,	0,		0,	
yycrank+1,	0,		0,	
yycrank+1,	0,		0,	
yycrank+0,	yysvec+27,	yyvstop+235,
yycrank+101,	yysvec+27,	yyvstop+238,
yycrank+101,	yysvec+27,	yyvstop+240,
yycrank+109,	yysvec+27,	yyvstop+242,
yycrank+0,	yysvec+27,	yyvstop+244,
yycrank+111,	yysvec+27,	yyvstop+247,
yycrank+124,	yysvec+27,	yyvstop+249,
yycrank+133,	yysvec+27,	yyvstop+251,
yycrank+118,	yysvec+27,	yyvstop+253,
yycrank+123,	0,		0,	
yycrank+121,	0,		0,	
yycrank+3,	0,		0,	
yycrank+7,	0,		0,	
yycrank+161,	0,		0,	
yycrank+0,	yysvec+27,	yyvstop+255,
yycrank+134,	yysvec+27,	yyvstop+258,
yycrank+133,	yysvec+27,	yyvstop+260,
yycrank+128,	yysvec+27,	yyvstop+262,
yycrank+146,	yysvec+27,	yyvstop+264,
yycrank+148,	yysvec+27,	yyvstop+266,
yycrank+145,	yysvec+27,	yyvstop+268,
yycrank+154,	0,		0,	
yycrank+0,	0,		yyvstop+270,
yycrank+168,	0,		0,	
yycrank+172,	0,		0,	
yycrank+175,	0,		0,	
yycrank+140,	yysvec+27,	yyvstop+272,
yycrank+0,	yysvec+27,	yyvstop+274,
yycrank+156,	yysvec+27,	yyvstop+277,
yycrank+0,	yysvec+27,	yyvstop+279,
yycrank+156,	yysvec+27,	yyvstop+282,
yycrank+152,	yysvec+27,	yyvstop+284,
yycrank+158,	0,		0,	
yycrank+174,	0,		0,	
yycrank+198,	0,		0,	
yycrank+186,	0,		0,	
yycrank+0,	yysvec+27,	yyvstop+286,
yycrank+155,	yysvec+27,	yyvstop+289,
yycrank+0,	yysvec+27,	yyvstop+291,
yycrank+169,	yysvec+27,	yyvstop+294,
yycrank+170,	0,		0,	
yycrank+418,	0,		0,	
yycrank+208,	0,		0,	
yycrank+207,	0,		0,	
yycrank+0,	yysvec+27,	yyvstop+296,
yycrank+0,	yysvec+27,	yyvstop+299,
yycrank+180,	0,		0,	
yycrank+28,	0,		0,	
yycrank+214,	0,		0,	
yycrank+199,	0,		0,	
yycrank+175,	0,		0,	
yycrank+0,	0,		yyvstop+302,
yycrank+212,	0,		0,	
yycrank+214,	0,		0,	
yycrank+201,	0,		0,	
yycrank+230,	0,		0,	
yycrank+636,	0,		0,	
yycrank+185,	0,		0,	
yycrank+233,	0,		0,	
yycrank+421,	yysvec+179,	0,	
yycrank+187,	0,		0,	
yycrank+425,	0,		0,	
yycrank+548,	0,		0,	
yycrank+267,	0,		0,	
yycrank+0,	0,		yyvstop+304,
yycrank+268,	0,		0,	
yycrank+0,	0,		yyvstop+306,
yycrank+0,	0,		yyvstop+308,
0,	0,	0};
struct yywork *yytop = yycrank+1012;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
  0,   1,   1,   1,   1,   1,   1,   1, 
  1,   9,  10,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  9,   1,  34,   1,  36,  37,   1,  39, 
 40,  40,   1,   1,   1,   1,   1,  47, 
 48,  48,  48,  48,  48,  48,  48,  48, 
 48,  48,   1,  40,   1,   1,   1,   1, 
  1,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  40,  92,  40,   1,  65, 
  1,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  47,   1,  47,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
0};
char yyextra[] = {
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
/*	Copyright (c) 1989 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#pragma ident	"@(#)ncform	6.8	95/02/11 SMI"

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
#if defined(__cplusplus) || defined(__STDC__)
int yylook(void)
#else
yylook()
#endif
{
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
#ifndef __cplusplus
			*yylastch++ = yych = input();
#else
			*yylastch++ = yych = lex_input();
#endif
			if(yylastch > &yytext[YYLMAX]) {
				fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
				exit(1);
			}
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (int)yyt > (int)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((int)yyt < (int)yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
#ifndef __cplusplus
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
#else
		yyprevious = yytext[0] = lex_input();
		if (yyprevious>0)
			lex_output(yyprevious);
#endif
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
#if defined(__cplusplus) || defined(__STDC__)
int yyback(int *p, int m)
#else
yyback(p, m)
	int *p;
#endif
{
	if (p==0) return(0);
	while (*p) {
		if (*p++ == m)
			return(1);
	}
	return(0);
}
	/* the following are only used in the lex library */
#if defined(__cplusplus) || defined(__STDC__)
int yyinput(void)
#else
yyinput()
#endif
{
#ifndef __cplusplus
	return(input());
#else
	return(lex_input());
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyoutput(int c)
#else
yyoutput(c)
  int c; 
#endif
{
#ifndef __cplusplus
	output(c);
#else
	lex_output(c);
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyunput(int c)
#else
yyunput(c)
   int c; 
#endif
{
	unput(c);
	}
